{
  "name": "npm",
  "display_name": "Npm",
  "description": "Consume NPM registry API",
  "group": [
    "transform"
  ],
  "versions": [
    1.0
  ],
  "inputs": 1,
  "outputs": 1,
  "credentials": [
    {
      "name": "npmApi",
      "required": false
    }
  ],
  "properties": [
    {
      "name": "resource",
      "display_name": "Resource",
      "kind": "options",
      "required": false,
      "default": "package"
    }
  ],
  "source_path": "/home/mcochran/n8n/packages/nodes-base/nodes/Npm/Npm.node.ts",
  "routing": {
    "base_url": "={{ $credentials.registryUrl }}",
    "auth_headers": [
      [
        "Authorization",
        "Bearer {{accessToken}}"
      ]
    ],
    "auth_query": [],
    "credential_name": "npmApi",
    "operations": [
      {
        "value": "getMany",
        "method": "GET",
        "url": "/-/package/{{ encodeURIComponent($parameter.packageName) }}/dist-tags",
        "body": ""
      },
      {
        "value": "update",
        "method": "PUT",
        "url": "/-/package/{{ encodeURIComponent($parameter.packageName) }}/dist-tags/{{ encodeURIComponent($parameter.distTagName) }}",
        "body": ""
      },
      {
        "value": "getMetadata",
        "method": "GET",
        "url": "/{{ encodeURIComponent($parameter.packageName) }}/{{ $parameter.packageVersion }}",
        "body": ""
      },
      {
        "value": "getVersions",
        "method": "GET",
        "url": "/{{ encodeURIComponent($parameter.packageName) }}",
        "body": ""
      },
      {
        "value": "search",
        "method": "GET",
        "url": "/-/v1/search",
        "body": ""
      }
    ],
    "sends": []
  }
}